Bug 1569333 - No im-chooser-xfce and imsettings-xfce get installed
Summary: No im-chooser-xfce and imsettings-xfce get installed
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD - Xfce
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F28FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-04-19 04:58 UTC by Akira TAGOH
Modified: 2019-04-09 08:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-09 08:10:31 UTC


Attachments (Terms of Use)

Description Akira TAGOH 2018-04-19 04:58:38 UTC
Description of problem:
In comps, those packages are supposed to be installed if xfce4-panel is going to be installed. in fact "dnf update" on Xfce Live works as expected but live image is somehow pulling in imsettings-gsettings instead.

Version-Release number of selected component (if applicable):
Fedora-Xfce-Live-28-20180418.n.0

Additional info:
https://pagure.io/fedora-comps/blob/master/f/comps-f28.xml.in#_3238
https://pagure.io/fedora-comps/blob/master/f/comps-f28.xml.in#_3244

Comment 1 Akira TAGOH 2018-04-19 06:25:40 UTC
ouch, s/dnf update/dnf groupinstall input-methods/

Comment 2 Kevin Fenzi 2018-04-23 22:22:29 UTC
ok. I think this is because we pull in florence, which in turn needs gnome-control-center, which in turn pulls in gnome-settings-daemon, which in turn in comps: 

https://pagure.io/fedora-comps/blob/master/f/comps-f28.xml.in#_3240

      <packagereq type="conditional" requires="gnome-settings-daemon">imsettings-gsettings</packagereq>

      <packagereq type="conditional" requires="lxde-common">imsettings-lxde</packagereq>

      <packagereq type="conditional" requires="mate-settings-daemon">imsettings-mate</packagereq>

      <packagereq type="conditional" requires="qt">imsettings-qt</packagereq>

      <packagereq type="conditional" requires="xfce4-panel">imsettings-xfce</packagereq>

it seems to have used the first conditional. 

So, will make a PR to drop florence and see if that fixes it.

Comment 3 Kevin Fenzi 2018-04-23 22:52:50 UTC
https://pagure.io/fedora-comps/pull-request/273 is the PR for this.

Comment 4 Fedora Blocker Bugs Application 2018-04-23 22:54:02 UTC
Proposed as a Freeze Exception for 28-final by Fedora user kevin using the blocker tracking app because:

 This will hopefully fix imchooser on Xfce (and also reduce size by not installing some gnome packages that are now pulled in).

Comment 5 Adam Williamson 2018-04-24 00:29:21 UTC
+1 FE.

(Though this behaviour seems a bit odd; I would've expected *both* conditional requires to get pulled in. I don't see why they'd be logically OR'ed.)

Comment 6 Adam Williamson 2018-04-24 22:43:12 UTC
The PR was merged, so setting ON_QA...

Comment 7 Stephen Gallagher 2018-04-25 11:54:14 UTC
+1 FE

Comment 8 Kevin Fenzi 2018-04-25 18:22:04 UTC
And... that didn't fix this. ;( It must be something else, but I am not sure what currently.

Comment 9 Adam Williamson 2018-04-25 18:28:33 UTC
Let's set it back to assigned, then.

Comment 10 Parag Nemade 2018-04-26 03:31:19 UTC
I maybe wrong but I think dnf/hawkey is getting confused because

1)binary package imsettings have

Requires:       imsettings-desktop-module%{?_isa} = %{version}-%{release}
and
Suggests: imsettings-gsettings

2) when imsettings-gsettings is picked up for compose it already have
Provides:       imsettings-desktop-module%{?_isa} = %{version}-%{release}

so here both imsettings, imsettings-gsettings got dependency satisfied.

3) but then again as per comps imsettings-xfce need to enter into compose, dnf/hawkey finds that imsettings-xfce is providing 
Provides:       imsettings-desktop-module%{?_isa} = %{version}-%{release}

which is not needed now as its already satisfied by imsettings-gsettings package.
Thus, no imsettings-xfce package gets pulled into compose.

Also, this same should have been happening for other spins like LXDE, MATE, Cinnamon desktops.

Comment 11 Akira TAGOH 2018-04-26 06:24:33 UTC
there is similar issue in LXDE and MATE (https://bugzilla.redhat.com/show_bug.cgi?id=1569330, https://bugzilla.redhat.com/show_bug.cgi?id=1569354) but no issues for Cinnamon. just FYI.

Comment 12 Parag Nemade 2018-04-26 09:33:08 UTC
I think imsettings-gsettings should not have below line
Provides:       imsettings-desktop-module%{?_isa} = %{version}-%{release}

which I have not tested if its working.

Comment 13 Parag Nemade 2019-04-09 08:06:40 UTC
Today I test the xfce spin and I can see
[parag@localhost-live ~]$ rpm -qa | grep im-chooser
im-chooser-xfce-1.7.3-1.fc30.x86_64
im-chooser-common-1.7.3-1.fc30.x86_64
im-chooser-1.7.3-1.fc30.x86_64
[parag@localhost-live ~]$ rpm -qa | grep imsettings
imsettings-xfce-1.8.1-1.fc30.x86_64
imsettings-libs-1.8.1-1.fc30.x86_64
imsettings-1.8.1-1.fc30.x86_64
[parag@localhost-live ~]$ 

So this bug looks fixed.


Note You need to log in before you can comment on or make changes to this bug.